package cn.estsh.i3plus.ext.mes.pcn.api.base;

import cn.estsh.i3plus.pojo.mes.bean.MesLabelTemplate;
import cn.estsh.i3plus.pojo.mes.bean.MesLabelTemplateFieldValue;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

public interface IMesTemplateService {

    /**
     * 根据模板编号获取模板信息
     *
     * @param templateCode 模板编号
     * @return 标签模板
     */
    @ApiOperation(value = "按条件查询", notes = "按条件查询")
    MesLabelTemplate getMesLabelTemplate(String templateCode,String organizeCode);

    @ApiOperation(value = "按条件查询", notes = "按条件查询")
    MesLabelTemplate getLabelTemplate(String templateCode, String organizeCode);

    Map<String, Object> queryMesLabelTemplateParamPartValue(String partNo, String labelTemplate, String organizeCode);
}
