package cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.numberrule;

import cn.estsh.i3plus.mes.pcn.api.iservice.busi.INumberRulePackAttributeStrategyService;
import cn.estsh.i3plus.platform.common.tool.TimeTool;
import cn.estsh.i3plus.pojo.mes.model.GenSerialNoModel;
import org.springframework.stereotype.Component;

/**
 * @Description : 2位年
 * @Reference :
 * @Author : wangjie
 * @CreateDate 2024/9/26 19:24
 * @Modify:
 **/
@Component
public class MesCommonYear2Service implements INumberRulePackAttributeStrategyService {

    @Override
    public GenSerialNoModel execute(GenSerialNoModel genSerialNoModel) {
        return genSerialNoModel.year(TimeTool.getYear().substring(2, 4));
    }

}
