package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import cn.estsh.i3plus.ext.mes.pcn.pojo.util.MesPcnExtConstWords;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.springframework.util.CollectionUtils;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @Description : 重庆龙兴发运单MODEL
 **/
@Data
public class MesSortShippingListModel implements Serializable {

    private static final long serialVersionUID = 4209064017242032556L;

    @ApiParam("发运单号")
    private String shippingCode;

    @ApiParam("客户订单号")
    private String custOrderNo;

    @ApiParam("零件号")
    private String partNo;

    @ApiParam("客户零件号")
    private String custPartNo;

    @ApiParam("车型代码")
    private String carModelCode;

    @ApiParam("车型名称")
    private String carModelName;

}
