package cn.estsh.i3plus.ext.mes.pcn.api.base;

import cn.estsh.i3plus.pojo.mes.bean.MesCustomerPart;
import io.swagger.annotations.ApiOperation;


/**
 * @Description : 客户物料信息
 * @Reference :
 * @Author : xinwang.yi
 * @CreateDate 2024/9/12 15:18
 * @Modify:
 **/
public interface IMesCustomerPartService {

    @ApiOperation(value = "根据物料代码、客户代码查询物料信息")
    MesCustomerPart getMesCustomerPartByPartNo(String erpPartNo, String custCode, String organizeCode);

    @ApiOperation(value = "根据物料代码查询物料信息")
    MesCustomerPart getMesCustomerPart(String organizeCode,String partNo);

    boolean isExistCustomerPart(String organizeCode,String partNo, String custPartNo);

    String getCustPartNo(String organizeCode, String partNo);

}
