package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.MesNcProcessingInputModel;
import cn.estsh.i3plus.ext.mes.pcn.pojo.model.MesNcProcessingModel;
import cn.estsh.i3plus.ext.mes.pcn.pojo.model.MesNcProcessingPartAndLotModel;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.MesDefectType;
import cn.estsh.i3plus.pojo.mes.bean.nc.MesPartInspection;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2024-04-26 15:37
 * @Modify:
 **/
public interface IMesNcProcessingService {

    @ApiOperation(value = "查询NC-零件检测-单据")
    ListPager<MesPartInspection> queryPartInspectionByPager(MesPartInspection partInspection, Pager pager);

    @ApiOperation(value = "查询NC-零件检测-单据")
    MesNcProcessingModel queryPartInspection(MesPartInspection partInspection);

    @ApiOperation(value = "查询责任人")
    List<MesDefectType> queryPerson(String org);

    @ApiOperation(value = "查询标记不良的物料及批次")
    ListPager<MesNcProcessingPartAndLotModel> queryPartLot(String partNo, String lot, String org, Pager pager);

    @ApiOperation(value = "NC处理")
    void saveNc(MesNcProcessingInputModel model, String org, boolean isOrder);

    List<String> queryPartInspectionCreateUser(String organizeCode);

    void syncQmsScrap(String organizeCode);

}
