package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.mes.bean.MesPartShippingGroup;
import cn.estsh.i3plus.pojo.mes.bean.MesPartShippingGroupDetail;
import cn.estsh.i3plus.pojo.mes.bean.shipping.MesLoadingList;
import cn.estsh.i3plus.pojo.mes.bean.shipping.MesShippingOrderManagement;
import cn.estsh.i3plus.pojo.mes.model.MesShippingOrderManagementModel;
import cn.estsh.impp.framework.boot.util.ResultBean;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description:
 * @CreateDate 2024/04/16
 * @Author mingliang.li
 */
public interface IMesPartShippingGroupService {


    @ApiOperation(value = "查询发运组数据")
    List<MesPartShippingGroup> findAll(MesPartShippingGroup partShippingGroup);

    @ApiOperation(value = "查询发运组数据")
    MesPartShippingGroup getMesPartShippingGroup(String organizeCode, String shippingGroupCode);

    @ApiOperation(value = "打印发运单数据")
    ResultBean doMesMesShippingOrderManagementPrint(MesShippingOrderManagement model);

    @ApiOperation(value = "发运组明细")
    MesPartShippingGroupDetail getMesPartShippingGroupDetail(String organizeCode, String shippingGroupCode, String partNo, String custPartNo);

    @ApiOperation(value = "发运组明细")
    MesPartShippingGroupDetail getMesPartShippingGroupDetailByPartNo(String organizeCode, String shippingGroupCode, String partNo);

    boolean isFirstInstall(MesPartShippingGroup shippingGroup, MesLoadingList loadingList);
}
