package cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.print;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.MesProduceSnPrintModel;
import cn.estsh.i3plus.pojo.mes.bean.MesNumberRule;
import cn.estsh.i3plus.pojo.mes.bean.shipping.MesShippingOrderManagement;
import cn.estsh.i3plus.pojo.mes.model.GenSerialNoModel;
import cn.estsh.i3plus.pojo.mes.model.StationRequestBean;
import cn.estsh.i3plus.pojo.mes.model.StepResult;
import cn.estsh.impp.framework.boot.util.ResultBean;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : 根据不同的条码,封装不同的数据来源  content 是打印模板，dataList
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2024/6/6 16:39
 * @Modify:
 **/
public interface IPrintTemplateStrategyService {

    @ApiOperation(value = "单件条码")
    default MesProduceSnPrintModel execute(GenSerialNoModel model, MesProduceSnPrintModel mesProduceSnPrintModel,
                                           MesNumberRule numberRule, StepResult stepResult, StationRequestBean reqBean, Boolean isStep) {
        return mesProduceSnPrintModel;
    }

    @ApiOperation(value = "发运单")
    default ResultBean execute(MesShippingOrderManagement bean, List<MesShippingOrderManagement> shippingOrderManagementList) {
        return null;
    }

}
