package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import cn.estsh.i3plus.pojo.mes.bean.MesContainerPackage;
import io.swagger.annotations.ApiParam;
import lombok.Builder;
import lombok.Data;

/**
 * 容器与零件关系
 */
@Data
@Builder
public class MesContainerPartsModel {

    @ApiParam(value = "容器类型")
    private Integer containerType;

    @ApiParam(value = "条码")
    private String barcode;

    @ApiParam("零件编码")
    private String partNo;

    @ApiParam("零件名称")
    private String partName;

    @ApiParam(value = "条码确认方式")
    private Integer matchType;

    @ApiParam(value = "条码规则")
    private String matchRule;

    @ApiParam("包装规格")
    private Double qty;

    @ApiParam("批次号")
    private String lotNo;

    private MesContainerPackage containerPackage;
}
