package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

@Data
public class MesProductionPartSheetModel implements Serializable {

    private static final long serialVersionUID = -1692026621022774956L;

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam("工位代码")
    private String workCellCode;

    @ApiParam("零件号")
    private String partNo;

    @ApiParam("零件名称")
    private String partName;

    @ApiParam("加工数量")
    private Double qty;

    @ApiParam("汇报状态(reportSatus!=30[需要汇报],reportSatus=30[无需汇报])")
    private Integer reportSatus;

    @ApiParam("汇报状态")
    private String reportSatusName;

}
